.header-wrapper {
  @include themify($themes) {
    background-color: themed('white');
    border-color: themed('brand-1');
  }
  align-items: center;
  align-items: stretch;
  border-bottom: .5rem solid;
  display: flex;
  height: map-get($heights, 'header');
  justify-content: space-between;
  padding-left: map-get($spacing, 'mobile-half');
  padding-right: map-get($spacing, 'mobile-half');
  position: sticky;
  top: 0;
  width: 100%;
  z-index: 10;

  @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
    padding-left: map-get($spacing, 'desktop-half');
    padding-right: map-get($spacing, 'desktop-half');
  }
}

.header-loggedin {
  @include themify($themes) {
    border-color: themed('brand-primary');
  }
}

.header-logo {
  display: block;

  img {
    display: block;
    height: 100%;
    margin: map-get($spacing, 'mobile-small') 0;
    max-height: 59px;
    width: auto;
  }
}

.header-login {
  align-items: stretch;
  display: flex;

  .button {
    align-self: center;
    display: flex;
  }
}

.header-modal-wrapper {
  @include themify($themes) {
    background-color: themed('brand-quinary');
    color: themed('white');
  }
  align-items: center;
  display: flex;
  height: map-get($heights, 'header');
  justify-content: space-between;
  left: 0;
  padding-left: map-get($spacing, 'mobile-half');
  padding-right: map-get($spacing, 'mobile-half');
  position: sticky;
  right: 0;
  top: 0;
  width: 100%;
  z-index: 15;

  @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
    padding-left: map-get($spacing, 'desktop-half');
    padding-right: map-get($spacing, 'desktop-half');
  }
  @include breakpoint(map-get($breakpoints, 'breakpoint-lg')) {
    z-index: 1;
  }
}
